<div class="container">
  <div class="row">
    <div class="col-sm-12">
      <form>
        <div class="input-group">
          <input type="text" class="form-control" placeholder="Search for Campaigns.....">
          <div class="input-group-btn">
            <button type="button" class="btn btn-info">Campaigns</button>
          </div>
        </div>
      </form>
    </div>
<br><br>
    <div class="col-sm-10">
      <div class="row" *ngFor="let Campaign of campaigns; index as i">
        <div class="col-sm-12" >
          <div class="panel panel-primary text-left" >
            <!-- <div class="panel-heading"><h4>{{ campaigns }}</h4></div> -->
            <div class="panel-body">
              <h4>{{ Campaign }}</h4>
              <a [routerLink]="['/campaign', Campaign]" class="btn btn-default btn-md">
                  View Campaign
              </a>     
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-2 pull-left">
      <button class="btn btn-info" (click) = "createCampaign()"><i class="fa fa-plus-circle" aria-hidden="true"></i>&nbsp;&nbsp;
        <i *ngIf="isCreate" class="fa fa-refresh fa-spin fa-fw"></i>
        {{isCreate ? 'Creating...' : 'Create Campaign'}}
      </button>    
    </div>
  </div>
</div>